Name:           polybar
Version:        3.4.1
Release:        1%{?dist}
Summary:        A fast and easy-to-use status bar

License:        MIT
URL:            https://polybar.github.io
Source0:        https://github.com/%{name}/%{name}/releases/download/%{version}/%{name}-%{version}.tar

BuildRequires:  clang >= 3.4
BuildRequires:  cmake >= 3.1
BuildRequires:  python3-sphinx 
BuildRequires:  cairo-devel 
BuildRequires:  xcb-util-devel 
BuildRequires:  libxcb-devel 
BuildRequires:  xcb-proto 
BuildRequires:  xcb-util-image-devel 
BuildRequires:  xcb-util-wm-devel 
BuildRequires:  xcb-util-xrm-devel 
BuildRequires:  xcb-util-cursor-devel 
BuildRequires:  alsa-lib-devel 
BuildRequires:  pulseaudio-libs-devel 
BuildRequires:  i3-devel
BuildRequires:  jsoncpp-devel 
BuildRequires:  libmpdclient-devel 
BuildRequires:  libcurl-devel 
BuildRequires:  wireless-tools-devel 
BuildRequires:  libnl3-devel
Requires:       cairo
Requires:       xcb-util 
Requires:       libxcb 
Requires:       xcb-proto 
Requires:       xcb-util-image 
Requires:       xcb-util-wm

%description
A fast and easy to use tool for creating status bars

Polybar aims to help users build beautiful and highly customizable status bars
for their desktop environment, without the need of having a black belt in 
shell scripting.

Some of the features included so far:
Date and Time Display, Keyboard Layout and Indicator Status, Backlight Level
Display, Volume Controls, MPD Playback Controls and Status Display, Network
Connection Details, User-defined Menu Tree, Workspace Panel for bspwm and i3,
CPU Load Indicator, Inter-Process Messaging, Time-based Shell Execution as 
well as Command Output Tailing, And Many Others

%prep
%autosetup -n polybar

%build
mkdir -p doc/build
cd doc/build
%cmake ..
%make_build doc_man
cd ../..

%cmake -DBUILD_DOC=false .
%make_build

%install
rm -rf $RPM_BUILD_ROOT
%make_install
gzip doc/build/man/%{name}.1
mkdir -p %{buildroot}/%{_mandir}/man1
cp doc/build/man/%{name}.1.gz %{buildroot}/%{_mandir}/man1/


%files
%{_bindir}/%{name}
%{_bindir}/%{name}-msg
%{_datadir}/bash-completion/completions/%{name}
%{_datadir}/zsh/site-functions/_%{name}
%{_datadir}/zsh/site-functions/_%{name}_msg
%license LICENSE
%doc
%{_mandir}/man1/%{name}.1.gz
%{_datadir}/doc/%{name}/config

%changelog
* Sun Dec 15 2019 Max Audron
- 
